Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Interface IEntryPointFactory

All Known Implementing Classes:
  DefaultEntryPointFactory

    public interface IEntryPointFactory

Implementations of this interface can be used to register entrypoints with the framework. It is also possible to register the class that implements `IEntryPoint` directly, but using a factory provides greater flexibility as it leaves the creation of the class to the application.

Since:
  1.5

Method Summary
`IEntryPoint` `create()` Creates a new entrypoint instance.

Method Detail

### create

    IEntryPoint create()

  Creates a new entrypoint instance.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.